﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using RadTreeViewContainerBindings;
using Telerik.Windows.Controls;

namespace TreeViewExample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			this.myTreeView.ItemsSource = new DataSource();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var item = (this.myTreeView.Items[0]); //the first item in the tree

			RadTreeViewItem rtvi = this.myTreeView.ContainerFromItemRecursive(item);
			
			rtvi.IsSelected = true;
			rtvi.Focus();			
		}
	}
}
